> ## Documentation Index
> Fetch the complete documentation index at: https://docs.siftstack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# UpdateView

> Updates an existing view using using the list of fields specified in `update_mask`.



## OpenAPI

````yaml /openapi.json patch /api/v1/views/{view.viewId}
openapi: 3.0.0
info:
  title: Sift API
  version: '1.0'
servers:
  - url: https://api.siftstack.com
    description: Production
  - url: https://gov.api.siftstack.com
    description: Gov
security:
  - BearerAuth: []
tags:
  - name: TagService
    description: Service to programmatically interact with [tags](/glossary#tag).
  - name: ProtobufDescriptorService
    description: >-
      Service to programmatically interact with protobuf desciptors used for
      protobuf ingestion.
    externalDocs:
      description: Read more about what protobuf ingestion.
      url: /ingestion/protobuf_ingestion
  - name: ApiKeyService
  - name: UnitService
  - name: ChannelSchemaService
    description: Service to programmatically interact with channel schemas
  - name: PingService
  - name: SavedSearchService
  - name: IngestService
  - name: UserDefinedFunctionService
  - name: RoleService
  - name: DataImportService
  - name: AnnotationLogService
    description: >-
      Service to programmatically interact with [annotation
      logs](/glossary#annotation).
    externalDocs:
      description: Read more about annotations.
      url: >-
        https://customer.support.siftstack.com/servicedesk/customer/portal/2/article/265486685
  - name: ExportService
  - name: AnnotationService
    description: Service to programmatically interact with annotations.
    externalDocs:
      description: Read more about annotations.
      url: >-
        https://customer.support.siftstack.com/servicedesk/customer/portal/2/article/265486685
  - name: RuleEvaluationService
    description: Service to evaluate rules.
    externalDocs:
      description: Read more about what rules are.
      url: >-
        https://customer.support.siftstack.com/servicedesk/customer/portal/2/article/265421102
  - name: CalculatedChannelsService
    description: Service to programmatically interact with calculated channels.
    externalDocs:
      description: Read more about calculated channels.
      url: >-
        https://customer.support.siftstack.com/servicedesk/customer/portal/2/article/265421153
  - name: CalculatedChannelService
  - name: MeService
  - name: UserService
    description: Service to programmatically interact with user objects.
  - name: RuleService
    description: Service to programmatically interact with rules.
    externalDocs:
      description: Read more about what rules are.
      url: >-
        https://customer.support.siftstack.com/servicedesk/customer/portal/2/article/265421102
  - name: RemoteFileService
  - name: CampaignService
  - name: ReportTemplateService
  - name: JobService
  - name: DlqErrorsService
  - name: WebhookService
  - name: DataService
    description: Service to query data
  - name: ViewService
    description: Service to programmatically interact with views.
    externalDocs:
      description: Read more about what views are.
      url: >-
        https://customer.support.siftstack.com/servicedesk/customer/portal/2/article/298188809
  - name: AssetService
    description: Service to programmatically interact with [assets](/glossary#asset).
    externalDocs:
      description: Read more about what assets are.
      url: /data-model
  - name: UserGroupService
  - name: RunService
    description: Service to programmatically interact with [runs](/glossary#run).
    externalDocs:
      description: Read more about what runs are.
      url: >-
        https://customer.support.siftstack.com/servicedesk/customer/portal/2/article/265454053
  - name: MetadataService
  - name: NotificationService
    description: Service to programmatically interact with in-app notifications.
  - name: PanelConfigurationService
    description: Service to programmatically interact with panel configurations.
  - name: IngestionConfigService
    description: >-
      Service to programmatically interact with [ingestion
      configs](/glossary#ingestion-config).
    externalDocs:
      description: Read more about what ingestion configs are.
      url: /ingestion/creating-amend-ingestion-config
  - name: ReportService
  - name: ExternalSyncService
  - name: ChannelService
    description: Service to programmatically interact with [channels](/glossary#channel).
    externalDocs:
      description: Read more about what channels are.
      url: >-
        https://customer.support.siftstack.com/servicedesk/customer/portal/2/article/265453943
paths:
  /api/v1/views/{view.viewId}:
    patch:
      tags:
        - ViewService
      summary: UpdateView
      description: >-
        Updates an existing view using using the list of fields specified in
        `update_mask`.
      operationId: ViewService_UpdateView
      parameters:
        - name: view.viewId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/viewsv1ViewServiceUpdateViewBody'
        required: true
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/viewsv1UpdateViewResponse'
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
components:
  schemas:
    viewsv1ViewServiceUpdateViewBody:
      type: object
      properties:
        view:
          type: object
          properties:
            name:
              type: string
            axisGroups:
              $ref: '#/components/schemas/viewsv1ViewAxisGroups'
            channels:
              type: array
              items:
                $ref: '#/components/schemas/viewsv1ViewChannel'
            createdDate:
              type: string
              format: date-time
            modifiedDate:
              type: string
              format: date-time
            createdByUserId:
              type: string
            organizationId:
              type: string
            modifiedByUserId:
              type: string
            isPinned:
              type: boolean
        updateMask:
          type: string
          description: The list of fields to update.
      required:
        - view
    viewsv1UpdateViewResponse:
      type: object
      properties:
        view:
          $ref: '#/components/schemas/viewsv1View'
    rpcStatus:
      type: object
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/protobufAny'
    viewsv1ViewAxisGroups:
      type: object
      properties:
        left:
          type: array
          items:
            type: string
        right:
          type: array
          items:
            type: string
    viewsv1ViewChannel:
      type: object
      properties:
        name:
          type: string
        component:
          type: string
        dataType:
          type: string
        axisGroup:
          type: string
        bitFieldNames:
          type: array
          items:
            type: string
        calculatedChannelConfig:
          $ref: '#/components/schemas/viewsv1ViewChannelCalculatedChannelConfig'
      required:
        - name
        - component
        - dataType
    viewsv1View:
      type: object
      properties:
        viewId:
          type: string
        name:
          type: string
        axisGroups:
          $ref: '#/components/schemas/viewsv1ViewAxisGroups'
        channels:
          type: array
          items:
            $ref: '#/components/schemas/viewsv1ViewChannel'
        createdDate:
          type: string
          format: date-time
        modifiedDate:
          type: string
          format: date-time
        createdByUserId:
          type: string
        organizationId:
          type: string
        modifiedByUserId:
          type: string
        isPinned:
          type: boolean
    protobufAny:
      type: object
      properties:
        '@type':
          type: string
          description: >-
            A URL/resource name that uniquely identifies the type of the
            serialized

            protocol buffer message. This string must contain at least

            one "/" character. The last segment of the URL's path must represent

            the fully qualified name of the type (as in

            `path/google.protobuf.Duration`). The name should be in a canonical
            form

            (e.g., leading "." is not accepted).


            In practice, teams usually precompile into the binary all types that
            they

            expect it to use in the context of Any. However, for URLs which use
            the

            scheme `http`, `https`, or no scheme, one can optionally set up a
            type

            server that maps type URLs to message definitions as follows:


            * If no scheme is provided, `https` is assumed.

            * An HTTP GET on the URL must yield a [google.protobuf.Type][]
              value in binary format, or produce an error.
            * Applications are allowed to cache lookup results based on the
              URL, or have them precompiled into a binary to avoid any
              lookup. Therefore, binary compatibility needs to be preserved
              on changes to types. (Use versioned type names to manage
              breaking changes.)

            Note: this functionality is not currently available in the official

            protobuf release, and it is not used for type URLs beginning with

            type.googleapis.com. As of May 2023, there are no widely used type
            server

            implementations and no plans to implement one.


            Schemes other than `http`, `https` (or the empty scheme) might be

            used with implementation specific semantics.
      additionalProperties: {}
      description: >-
        `Any` contains an arbitrary serialized protocol buffer message along
        with a

        URL that describes the type of the serialized message.


        Protobuf library provides support to pack/unpack Any values in the form

        of utility functions or additional generated methods of the Any type.


        Example 1: Pack and unpack a message in C++.

            Foo foo = ...;
            Any any;
            any.PackFrom(foo);
            ...
            if (any.UnpackTo(&foo)) {
              ...
            }

        Example 2: Pack and unpack a message in Java.

            Foo foo = ...;
            Any any = Any.pack(foo);
            ...
            if (any.is(Foo.class)) {
              foo = any.unpack(Foo.class);
            }
            // or ...
            if (any.isSameTypeAs(Foo.getDefaultInstance())) {
              foo = any.unpack(Foo.getDefaultInstance());
            }

         Example 3: Pack and unpack a message in Python.

            foo = Foo(...)
            any = Any()
            any.Pack(foo)
            ...
            if any.Is(Foo.DESCRIPTOR):
              any.Unpack(foo)
              ...

         Example 4: Pack and unpack a message in Go

             foo := &pb.Foo{...}
             any, err := anypb.New(foo)
             if err != nil {
               ...
             }
             ...
             foo := &pb.Foo{}
             if err := any.UnmarshalTo(foo); err != nil {
               ...
             }

        The pack methods provided by protobuf library will by default use

        'type.googleapis.com/full.type.name' as the type URL and the unpack

        methods only use the fully qualified type name after the last '/'

        in the type URL, for example "foo.bar.com/x/y.z" will yield type

        name "y.z".


        JSON

        ====

        The JSON representation of an `Any` value uses the regular

        representation of the deserialized, embedded message, with an

        additional field `@type` which contains the type URL. Example:

            package google.profile;
            message Person {
              string first_name = 1;
              string last_name = 2;
            }

            {
              "@type": "type.googleapis.com/google.profile.Person",
              "firstName": <string>,
              "lastName": <string>
            }

        If the embedded message type is well-known and has a custom JSON

        representation, that representation will be embedded adding a field

        `value` which holds the custom JSON in addition to the `@type`

        field. Example (for message [google.protobuf.Duration][]):

            {
              "@type": "type.googleapis.com/google.protobuf.Duration",
              "value": "1.212s"
            }
    viewsv1ViewChannelCalculatedChannelConfig:
      type: object
      properties:
        channelKey:
          type: string
        channelReferences:
          type: object
          additionalProperties:
            $ref: >-
              #/components/schemas/ChannelCalculatedChannelConfigChannelReference
        expression:
          type: string
        unit:
          type: string
      required:
        - channelKey
        - channelReferences
        - expression
        - unit
    ChannelCalculatedChannelConfigChannelReference:
      type: object
      properties:
        name:
          type: string
        component:
          type: string
      required:
        - name
        - component
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````